Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java	(revision 2412)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEnginesManager.java	(revision 2413)
@@ -7,6 +7,7 @@
 
 import org.apache.commons.lang.ArrayUtils;
 import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.core.engines.EngineType;
@@ -21,52 +22,52 @@
  *
  */
 public class ChartsEnginesManager extends EnginesManager<ChartsEngine> {
-
+	
 	@Override
 	public boolean fetchEngines() {
 		return this.fetchEngines(ChartsEngine.EXTENSION_POINT_ID);
 	}
-
+	
 	@Override
 	public boolean startEngines(IProgressMonitor monitor) {
 		
-		// FIXME: temporary solution to not break the charts engines but later need to stop to use 
+		// FIXME: temporary solution to not break the charts engines but later need to stop to use
 		// ChartsEngine.chartsEngines, ChartsEngine.currentChartsEngineIndex, getCurrent() etc.
 		// and directly manage that in the Manager
-		ChartsEngine.chartsEngines = new ArrayList<ChartsEngine>();
-//		ChartsEngine.currentChartsEngineIndex = 0;
-//
-
+		ChartsEngine.chartsEngines = new ArrayList<>();
+		// ChartsEngine.currentChartsEngineIndex = 0;
+		//
+		
 		for (ChartsEngine engine : this.values()) {
 			ChartsEngine.chartsEngines.add(engine);
 		}
-
+		
 		// add the engines sorted by order defined in preferences
 		this.sortEngines();
 		
 		
-//		String[] orderedEnginesNames = ((ChartsEnginePreferences) ChartsEnginePreferences.getInstance()).getEnginesOrder();
-//		ChartsEngine[] engines = new ChartsEngine[this.size()];
-//		
-//		for (ChartsEngine engine : this.values()) {
-//			//ChartsEngine.chartsEngines.add(engine);
-//			engines[ArrayUtils.indexOf(orderedEnginesNames, engine.getName())] = engine;
-//			
-//		}
-//		for (int i = 0; i < engines.length; i++) {
-//			ChartsEngine.chartsEngines.add(engines[i]);	
-//		}
+		// String[] orderedEnginesNames = ((ChartsEnginePreferences) ChartsEnginePreferences.getInstance()).getEnginesOrder();
+		// ChartsEngine[] engines = new ChartsEngine[this.size()];
+		//
+		// for (ChartsEngine engine : this.values()) {
+		// //ChartsEngine.chartsEngines.add(engine);
+		// engines[ArrayUtils.indexOf(orderedEnginesNames, engine.getName())] = engine;
+		//
+		// }
+		// for (int i = 0; i < engines.length; i++) {
+		// ChartsEngine.chartsEngines.add(engines[i]);
+		// }
 		
 		
-		//ChartsEngine.setCurrrentChartsEngine(this.getEngine(ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.CURRENT_NAME)));
+		// ChartsEngine.setCurrrentChartsEngine(this.getEngine(ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.CURRENT_NAME)));
 		
 		this.setCurrentEngine(ChartsEnginePreferences.getInstance().getString(ChartsEnginePreferences.CURRENT_NAME));
-
-
 		
-		//TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.getInstance().getPreferencesNodeQualifier());
-
-
+		
+		
+		// TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.getInstance().getPreferencesNodeQualifier());
+		
+		
 		return super.startEngines(monitor);
 	}
 	
@@ -78,25 +79,26 @@
 		String[] orderedEnginesNames = ((ChartsEnginePreferences) ChartsEnginePreferences.getInstance()).getEnginesOrder();
 		
 		// existing preference
-		if(orderedEnginesNames != null)	{
+		if (orderedEnginesNames != null) {
 			ChartsEngine[] engines = new ChartsEngine[this.size()];
 			ChartsEngine.chartsEngines.clear();
 			
 			for (ChartsEngine engine : this.values()) {
-				//ChartsEngine.chartsEngines.add(engine);
+				// ChartsEngine.chartsEngines.add(engine);
 				int index = ArrayUtils.indexOf(orderedEnginesNames, engine.getName());
 				if (index >= 0) {
 					engines[index] = engine;
-				} else {
-					Log.warning("Chart engine='"+engine.getName()+"' not found in engines ordered list: "+Arrays.toString(orderedEnginesNames));
 				}
+				else {
+					Log.warning(NLS.bind("Chart engine {0} not found in engines ordered list: {1}.", engine.getName(), Arrays.toString(orderedEnginesNames)));
+				}
 			}
 			for (int i = 0; i < engines.length; i++) {
-				ChartsEngine.chartsEngines.add(engines[i]);	
+				ChartsEngine.chartsEngines.add(engines[i]);
 			}
 		}
 		// non existing preference
-		else	{
+		else {
 			ChartsEnginePreferences.getInstance().put(ChartsEnginePreferences.CHARTS_ENGINES_ORDER, this.createEnginesOrder());
 		}
 	}
@@ -106,17 +108,17 @@
 	public ChartsEngine getCurrentEngine() {
 		return this.currentEngine;
 		// FIXME: SJ: test to retrieve the first engine of the map
-//		return ChartsEngine.chartsEngines.get(0);
+		// return ChartsEngine.chartsEngines.get(0);
 	}
-
+	
 	@Override
 	public void setCurrentEngine(ChartsEngine engine) {
 		super.setCurrentEngine(engine);
-
+		
 		this.sortEngines();
-		//ChartsEngine.chartsEngines.
+		// ChartsEngine.chartsEngines.
 		
-		//String[] enginesNames = this.getEnginesOrder();
+		// String[] enginesNames = this.getEnginesOrder();
 	}
 	
 	/**
@@ -152,6 +154,7 @@
 	
 	/**
 	 * Creates the charts engine order string with | separator from the specified engines list.
+	 * 
 	 * @param chartsEngineNames
 	 * @return
 	 */
@@ -167,7 +170,7 @@
 		String[] engineNames = new String[this.size()];
 		int i = 0;
 		for (Map.Entry<String, ChartsEngine> entry : this.entrySet()) {
-			engineNames[i] = entry.getValue().getName();					
+			engineNames[i] = entry.getValue().getName();
 			i++;
 		}
 		return engineNames;
@@ -178,36 +181,37 @@
 	 * 
 	 * @return the instance stored in the Toolbox
 	 */
-	public static ChartsEnginesManager getInstance()	{
+	public static ChartsEnginesManager getInstance() {
 		return (ChartsEnginesManager) Toolbox.getEngineManager(EngineType.CHARTS);
 	}
 	
 	
 	/**
 	 * Gets the entry names and values of the supported export formats of the specified charts engine.
+	 * 
 	 * @param engine
 	 * @return the entry names and values of the supported export formats of the specified charts engine
 	 */
-	public static String[][] getExportFormatsEntryNamesAndValues(ChartsEngine engine)	{
-		ArrayList<String> supportedExportFormats = new ArrayList<String>();
+	public static String[][] getExportFormatsEntryNamesAndValues(ChartsEngine engine) {
+		ArrayList<String> supportedExportFormats = new ArrayList<>();
 		supportedExportFormats.addAll(engine.getSupportedOutputFileFormats());
 		
 		// Sort the set
-		TreeSet<String> formatsSet = new TreeSet <String>(supportedExportFormats);
+		TreeSet<String> formatsSet = new TreeSet<>(supportedExportFormats);
 		String[] formats = formatsSet.toArray(new String[formatsSet.size()]);
 		
 		String[][] exportFormats = new String[formats.length][2];
-		for(int j = 0; j < formats.length; j++) {
+		for (int j = 0; j < formats.length; j++) {
 			exportFormats[j][0] = formats[j];
 			exportFormats[j][1] = formats[j];
 		}
 		return exportFormats;
 	}
-
 	
+	
 	@Override
 	public EngineType getEnginesType() {
 		return EngineType.CHARTS;
 	}
-
+	
 }
